@import 'styles/variables.css';

$text-color: #33557E;
$background-color: white;

.menu {
    height: 100%;
    width: 100%;
    position: fixed;
    z-index: 9999999;
    top: 0; 
    left: 0;
    transition: all 0.6s $ease-out-cubic 0.2s;
    background: $background-color;
    pointer-events: none;
    opacity: 0;
    display: flex;
    overflow-y: auto;
    &.active {
      opacity: 1;
      transition: all 0.6s $ease-out-cubic;
      pointer-events: initial;
    }
}

.menuInner {
    text-align: center;
    padding: 20vh 0;
    width: 100%;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    transition: all 0.6s $ease-out-cubic;
    opacity: 0;
    transform: scale(0.9);
    &.active {
      transform: scale(1);
      transition: all 0.6s $ease-out-cubic 0.2s;
      opacity: 1;
      pointer-events: initial;
    }
}

.menuItem {
    font-family: Spectral;
    font-weight: 400;
    color: $text-color;
    font-size: 40px;
    padding: 10px 30px;
    width: 100%;
    box-sizing: border-box;
}

.closeButton {
    position: fixed;
    right: 49px;
    width: 50px;
    height: 50px;
    top: 31px;
    cursor: pointer;
    opacity: 0;
    transition: all 0.6s $ease-out-cubic;
    z-index: 100;
    &.active {
      opacity: 1;
      top: 50px;
    }
}